// JavaScript Document
function rlstInsertImp(el){
	var name = "";
	var field = "";
	window.location = '#impresa';
	var els = el.getElementsByTagName('INPUT');
	for(var i=0;i<els.length;i++){
		name = els[i].name;
		field = eval("document.newCant."+name);
		
		switch(name){
			case "imp_assoc":
			case "imp_esterna":
				for(var x=0;x<field.length;x++){
					if(field[x].value == els[i].value)
					field[x].checked = true;
				}
				break;
			default:		
				field.value = els[i].value;
		}
	}
	lightShow('off');
	show('impHide');
}

function ver_cant(){
	var error = new Array();
	var length = 0;
	
	var customind = document.getElementById('customindirizzo').style.display == 'none' ? false : true;
	
	if(!isDate(document.newCant.datavisita.value) || trim(document.newCant.datavisita.value) == '')
		error['datavisita'] = 'Data visita nel formato errato (gg/mm/aaaa)';
	
	if(!customind){
		if(document.newCant.ID_COMUNE.value == 0)
			error['ID_COMUNE'] = 'Selezionare il comune del cantiere';
		else if(document.newCant.ID_STRADA.value == 0)
			error['ID_STRADA'] = 'Selezionare la via del cantiere';
	}
	
	if(trim(document.newCant.data_prossvisita.value) != '' && !isDate(document.newCant.data_prossvisita.value))
		error['data_prossvisita'] = 'Data prossima visita nel formato errato (gg/mm/aaaa)';
	if(!isTime(document.newCant.ora_prossvisita.value))
		error['ora_prossvisita'] = 'Ora prossima visita nel formato errato (hh:mm)';
	if(customind && trim(document.getElementById('custom_comune').value) == '')
		error['custom_comune'] = 'Inserire il comune del cantiere';
	
	for (var object in error)
		length++;
	
	if(length > 0){
		errore(error,'newCant');
		return false;
	}else if(!customind){
		//controllo se ci sono le coordinate del civico, in caso contrario faccio comparire la mappa
		if(!document.getElementById('COORD_X') || document.getElementById('COORD_X').value == ''){
			showMap();
			return false;
		}else{
			document.newCant.submit();
			return true;
		}
	}
}

function temppopup(){
	var stile = "top=10, left=10, width=980, height=580, status=no, menubar=no, toolbar=no scrollbar=auto";
	window.open("http://66.71.153.161/appalti/gmaps/geocoding/", "mappa", stile);
}

function ver_seach(){
	var form = document.searchCant;	
	if(trim(form.codice.value) == '' && trim(form.datavisita.value) == '' && trim(form.cant_comune.value) == '' && trim(form.imp_anagrafica.value) == ''){
		alert("Compilare almeno un campo per la ricerca");
		return false;
	}
}

function printModule(){
	if(!document.getElementById('moduloprint')){
		var iframe = document.createElement('IFRAME');
		iframe.id = "moduloprint";
		iframe.name = "moduloprint";
		iframe.src = "/reserved/rlst/visita_print.php";
		document.body.appendChild(iframe);
	}
}

function delVisita(id,url){
	var a = confirm("Procedere con l'eliminazione di questa visita?")
	if(a)
		window.location = 'visita_del.php?id='+id+'&url='+url;
}

function customInd(checked){
	document.getElementById('custom_comune').value = '';
	document.getElementById('custom_strada').value = '';
	document.getElementById('custom_numero').value = '';
	
	document.getElementById('strad_via').innerHTML = '';
	document.getElementById('strad_civico').innerHTML = '';
	document.getElementById('strad_coord').innerHTML = '';
	document.getElementById('ID_COMUNE').selectedIndex = 0;
	
	if(checked == true){
		show('customindirizzo');
		hide('exactindirizzo');
	}else{
		hide('customindirizzo');
		show('exactindirizzo');
	}
		
}
